Index: doc/latex/libPF_8h__incl.eps
===================================================================
--- doc/latex/libPF_8h__incl.eps (revision 210)
+++ doc/latex/libPF_8h__incl.eps (revision 261)
@@ -180,75 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 291 298
+%%PageBoundingBox: 36 36 188 356
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 255 262 boxprim clip newpath
+36 36 152 320 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 0 232 moveto
-0 253 lineto
-172 253 lineto
-172 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 232 moveto
-0 253 lineto
-172 253 lineto
-172 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-8 239.5 moveto 156 (work/git/mixpp/bdm/estim/libPF.h) alignedtext
+newpath 39 290 moveto
+39 311 lineto
+84 311 lineto
+84 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 39 290 moveto
+39 311 lineto
+84 311 lineto
+84 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+46.5 297.5 moveto 29 (libPF.h) alignedtext
 grestore
 % Node2
 gsave
-0.000 0.000 1.000 nodecolor
-newpath 113 0 moveto
-113 21 lineto
-188 21 lineto
-188 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.749 nodecolor
-newpath 113 0 moveto
-113 21 lineto
-188 21 lineto
-188 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-120.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 75 232 moveto
-56 209 17 158 34 116 curveto
-50 74 93 44 121 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 122.96 28.92 moveto
-130 21 lineto
-119.56 22.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 122.96 28.92 moveto
-130 21 lineto
-119.56 22.8 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 119 175 195 195 ]
+[ /Rect [ 23 233 99 253 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -256,45 +214,225 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 119 174 moveto
-119 195 lineto
-195 195 lineto
-195 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 119 174 moveto
-119 195 lineto
-195 195 lineto
-195 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-127 181.5 moveto 60 (../stat/libEF.h) alignedtext
-grestore
-% Node1->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 100 232 moveto
-111 223 125 211 137 201 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 139.1 203.8 moveto
+newpath 23 232 moveto
+23 253 lineto
+99 253 lineto
+99 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 23 232 moveto
+23 253 lineto
+99 253 lineto
+99 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+31 239.5 moveto 60 (../stat/libEF.h) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 61 290 moveto
+61 282 61 272 61 263 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 64.5 263 moveto
+61 253 lineto
+57.5 263 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64.5 263 moveto
+61 253 lineto
+57.5 263 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 0 117 50 137 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+51 137 lineto
+51 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 116 moveto
+0 137 lineto
+51 137 lineto
+51 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 123.5 moveto 35 (libBM.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 56 232 moveto
+52 222 47 208 43 196 curveto
+37 179 33 161 29 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 32.39 146.12 moveto
+27 137 lineto
+25.53 147.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32.39 146.12 moveto
+27 137 lineto
+25.53 147.49 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 52 175 144 195 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($chmat_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 52 174 moveto
+52 195 lineto
 145 195 lineto
-134.9 198.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 139.1 203.8 moveto
+145 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 52 174 moveto
+52 195 lineto
 145 195 lineto
-134.9 198.2 lineto
+145 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+59.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node2->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 68 232 moveto
+73 224 80 213 86 203 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 88.8 205.1 moveto
+92 195 lineto
+83.2 200.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 88.8 205.1 moveto
+92 195 lineto
+83.2 200.9 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 43 117 129 137 ]
+[ /Rect [ 24 59 96 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 24 58 moveto
+24 79 lineto
+96 79 lineto
+96 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 24 58 moveto
+24 79 lineto
+96 79 lineto
+96 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+32 65.5 moveto 56 (../itpp_ext.h) alignedtext
+grestore
+% Node3->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 32 116 moveto
+36 108 43 97 49 88 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 52.2 89.44 moveto
+54 79 lineto
+46.08 86.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 52.2 89.44 moveto
+54 79 lineto
+46.08 86.04 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 23 0 moveto
+23 21 lineto
+98 21 lineto
+98 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 23 0 moveto
+23 21 lineto
+98 21 lineto
+98 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+30.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 60 58 moveto
+60 50 60 40 60 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 63.5 31 moveto
+60 21 lineto
+56.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 63.5 31 moveto
+60 21 lineto
+56.5 31 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 71 117 121 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -302,284 +440,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 43 116 moveto
-43 137 lineto
-130 137 lineto
-130 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 43 116 moveto
-43 137 lineto
-130 137 lineto
-130 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-50.5 123.5 moveto 71 (../math/libDC.h) alignedtext
-grestore
-% Node1->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 86 232 moveto
-86 213 86 172 86 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 89.5 147 moveto
-86 137 lineto
-82.5 147 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 89.5 147 moveto
-86 137 lineto
-82.5 147 lineto
-closepath stroke
-grestore
-% Node3->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 195 174 moveto
-213 167 233 155 244 138 curveto
-249 129 246 125 244 116 curveto
-236 87 231 80 212 58 curveto
-202 46 188 35 176 26 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 177.44 22.8 moveto
-167 21 lineto
-174.04 28.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 177.44 22.8 moveto
-167 21 lineto
-174.04 28.92 lineto
-closepath stroke
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 143 174 moveto
-132 165 118 153 106 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 108.1 140.2 moveto
-98 137 lineto
-103.9 145.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 108.1 140.2 moveto
-98 137 lineto
-103.9 145.8 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 114 59 186 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 114 58 moveto
-114 79 lineto
-186 79 lineto
-186 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 114 58 moveto
-114 79 lineto
-186 79 lineto
-186 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-122 65.5 moveto 56 (../itpp_ext.h) alignedtext
-grestore
-% Node3->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 156 174 moveto
-155 155 153 114 151 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 154.5 89 moveto
-151 79 lineto
-147.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 154.5 89 moveto
-151 79 lineto
-147.5 89 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 185 117 235 137 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libBM_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 185 116 moveto
-185 137 lineto
-236 137 lineto
-236 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 185 116 moveto
-185 137 lineto
-236 137 lineto
-236 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-192.5 123.5 moveto 35 (libBM.h) alignedtext
-grestore
-% Node3->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 167 174 moveto
-175 165 185 154 194 145 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 197.05 146.83 moveto
-201 137 lineto
-191.78 142.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 197.05 146.83 moveto
-201 137 lineto
-191.78 142.22 lineto
-closepath stroke
-grestore
-% Node4->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 87 116 moveto
-89 102 94 76 105 58 curveto
-111 47 121 36 129 28 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 131.78 30.22 moveto
-137 21 lineto
-127.17 24.95 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 131.78 30.22 moveto
-137 21 lineto
-127.17 24.95 lineto
-closepath stroke
-grestore
-% Node4->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 98 116 moveto
-108 107 121 95 132 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 134.4 88.55 moveto
-139 79 lineto
-129.45 83.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 134.4 88.55 moveto
-139 79 lineto
-129.45 83.6 lineto
-closepath stroke
-grestore
-% Node5->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150 58 moveto
-150 50 150 40 150 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 153.5 31 moveto
-150 21 lineto
-146.5 31 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 153.5 31 moveto
-150 21 lineto
-146.5 31 lineto
-closepath stroke
-grestore
-% Node6->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 209 116 moveto
-208 102 205 76 195 58 curveto
-189 47 179 36 171 28 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 172.83 24.95 moveto
-163 21 lineto
-168.22 30.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 172.83 24.95 moveto
-163 21 lineto
-168.22 30.22 lineto
-closepath stroke
-grestore
-% Node6->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 198 116 moveto
-189 107 178 96 168 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 169.83 82.95 moveto
-160 79 lineto
-165.22 88.22 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 169.83 82.95 moveto
-160 79 lineto
-165.22 88.22 lineto
+newpath 71 116 moveto
+71 137 lineto
+121 137 lineto
+121 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 71 116 moveto
+71 137 lineto
+121 137 lineto
+121 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+79 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node6->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 98 174 moveto
+97 166 97 156 97 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 100.48 146.6 moveto
+96 137 lineto
+93.51 147.3 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 100.48 146.6 moveto
+96 137 lineto
+93.51 147.3 lineto
+closepath stroke
+grestore
+% Node7->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 89 116 moveto
+85 108 78 97 72 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 74.8 84.9 moveto
+66 79 lineto
+69.2 89.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 74.8 84.9 moveto
+66 79 lineto
+69.2 89.1 lineto
 closepath stroke
 grestore
@@ -591,5 +506,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 291 298
+%%BoundingBox: 36 36 188 356
 end
 restore
